UltraSearch

Help


Introduction

Navigation: UltraSearch >

Introduction

Welcome to the help of UltraSearch!

Here you will find all the important information about the program's functions, detailed instructions on how to use the search and tips and tricks on how to integrate UltraSearch conveniently into your daily computer use.

In the chapters Features, Installation and Quickstart you can first get a general overview of UltraSearch. The following chapters take a closer look at the user interface, the search options and additional setting options.

If you need further information, our Knowledge Base offers you answers to the most common questions.


Features

Features

Looking for files and folders on your local hard drive or network? UltraSearch delivers the results within seconds.

In addition to searching by file name, you can also search for specific file groups such as office or video files. It is also possible to search for file contents. There are also numerous other functions for a targeted, fast search.

UltraSearch offers you:

ØA quick search for file names.

ØA clear, well-structured user interface.

ØThe search for file groups such as office or video files.

ØThe search for file contents in text files, PDF files and much more.

ØQuick filters for minimum and maximum size of the searched files. (Professional Edition only)

ØQuick filters to limit the modification, creation and access dates of the searched files. (Professional Edition only)

ØSave and load different search settings (Professional Edition only)

ØA simple combination of several search terms using keywords like 'AND' or 'OR'.

ØSearch on network drives (All Editions), within network domains and on Windows servers. (Professional Edition only)

ØA simple drive selection by simply selecting and deselecting the drives to be searched.

ØThe exclusion of file names or paths via an exclude filter.

ØAdvanced information about the search results such as size, file age or attributes.

ØA file preview of image files, video files or office files.

ØSorting the results according to various criteria such as name, size, or file age.

ØBulk renaming for the simultaneous renaming of several files based on certain rules.

ØAdvanced operations to move, copy, or archive files. (Professional Edition only)

ØThe export of the results to a text or CSV file (All Editions) as well as a PDF, Excel or HTML file. (Professional Edition only)

ØHotkey and autostart support for quick program usage.

ØThe use of regular expressions.

ØAn automatic saving of the last search terms. (optional)

ØThe use of the Windows Explorer context menu within the application.

ØA portable version for usage from a USB stick.

Thanks to the innovative use of the MFT (Master File Table) of NTFS partitions, UltraSearch achieves very high speeds without burdening the system by creating and updating an index file. Only the system's internal memory is used for indexing. UltraSearch also recognizes NTFS hard links.


Installation

Installation

To install UltraSearch, run the installation program and follow the instructions of the installation wizard.

The installation program copies all necessary files to the hard disk and creates a new program group in the start menu.

You can uninstall UltraSearch in the Control Panel under "Programs and Features".

A list of the supported operating systems can be found on our homepage.

Portable Installation

[Professional Edition]: The full version offers the possibility to create your own portable version. For this purpose UltraSearch must first be installed on a PC.
Then start UltraSearch and select 'Options > Create portable installation'.

[Free Edition]: In addition to the setup version, we offer a portable version of the freeware as a zip file for download on our website.
This version saves your settings locally and can be used from a USB stick, for example.


Quickstart

Quickstart

After installation, UltraSearch can be started via the Windows Start menu, the shortcut on the desktop or the context menu of a folder or drive.

In the following the most important elements of the main window are explained:

1.Ribbon: The ribbon of UltraSearch allows access to all commands of the application. Related commands are arranged in so-called 'tabs'. For example, the 'Start' tab contains the functions most frequently used in UltraSearch, while the 'View' tab provides commands that can be used to influence the appearance of the application.

2.Drive list: The drive list shows all currently selected drives and search paths. A click on the drop-down button or on the overview itself opens an extended view of the available drives. This allows you to select and deselect drives and paths to be included in the file search.

3.Search field: In the search field you can enter the desired search pattern, for example the file name or a file extension. The search starts automatically. More complex search terms with several search criteria are also possible. You can use the search syntax of UltraSearch for this purpose.

4.Result list: The result list displays all files and folders that match your search query. You can adjust the appearance of the result list, such as visible columns or font size, under 'View'.

5.Preview pane: The preview pane shows detailed information and a thumbnail of the item selected in the result list. The preview can be shown or hidden under 'View > Preview pane'.

6.Status Bar: The status bar informs you about the number of search results and additionally displays information about selected elements. It also shows whether the exclude filter is active.


What's new?

What's new?

See What's New online.


Knowledge Base

Knowledge Base

Haven't found what you are looking for? Try searching in our online Knowledge Base.
Press "search" to open the Knowledge Base in your default web browser.

Please note: An Internet connection is required, JavaScript needs to be enabled in your web browser.


Search

Search

To start a search, simply enter the desired search pattern, e.g. the file name in the search field, optionally with the word name: in front of it.

Search for file extensions:

If you want to search for a file extension, precede the search term ext: or extension:, for example: ext:txt.

Search for file groups:

If you want to search for a file group, precede the search term group: before the search term, for example: group:Video Files.

Search by file content:

If you want to search for file content, precede the search term cont: or content: before the search term, for example: cont:license.

Search by file size:

If you want to limit the search to a certain file sizes, you can specify a minimum and / or maximum size, for example: size:< 500MB and/or : size:> 5MB

Combine search terms:

If you want to combine several search terms, write AND or OR between both search terms, for example: readme OR manual.

More information and examples can be found in the following chapter Search syntax.

Information on full-text search:

Pure text files and IFilter

UltraSearch can search plain text files very quickly for a specific search term by traversing and analyzing them at file system level. All common character encodings like ASCII, Unicode or UTF-8 are supported.

To be able to search even complex file groups like Microsoft Word, Excel, or PowerPoint, UltraSearch uses the so-called IFilter interface, which is provided by the operating system. Third-party applications can also provide their own treatment routines that can be used to read certain file formats. Many file formats, such as the usual office formats, are already handled by the operating system's own routines.

Other formats, such as PDF, can be read using filters that are automatically registered during the installation of a PDF viewer. These are then also available for use in UltraSearch.

Upper and lower case

All search types (searching by file name, file group or file contents) ignore any differences in upper and lower case. The search is 'case insensitive'. UltraSearch uses the corresponding character set table, which is defined by the current regional settings.


Search Syntax

Navigation: UltraSearch > Search >

Search Syntax

UltraSearch provides a syntax that allows you to customize your search quickly and flexibly. Besides file names, certain keywords offer the possibility to search for file extensions, file groups or file contents. Search terms can be combined via 'AND' or 'OR' and file names can be excluded from the search using the syntax. It is also possible to use wildcards and regular expressions. Below you will find a description of the permitted keywords and some use cases. For most keywords, there is a abbreviated form for faster search entry.

The search syntax is structured as follows:

<Property> <Operator> <Value>

for example

name: = readme

finds all files whose name (property) matches (operator) the word readme (value).

Several search terms can be combined:

name:=readme OR name:=movie

finds all files with 'readme' OR 'movie' in their name.

The following table shows all available properties, operators and conjunctions that you can use in UltraSearch.

Information: When searching for file names, name: can be omitted. Regardless of this, the = character can generally be omitted as an operator. This property and this operator are the default values used in the search. There are abbreviated notations for individual properties, which can be found in the table below.

Property: | Description: | Example: | Abbreviated form: | Explanation:
name: | Search by file name. This is the default property that is used when no property is explicitly specified. | name:=readme | readme | Search for all files whose file name contains the word 'readme'.
path: | Search by folder path. | path:=Windows | - | Search for all files and folders in the Windows folder.
extension: | Search by file extension. | extension:=txt | ext:txt | Search for all files with the file extension 'txt'.
group: | Search by file group. | group:=Video Files | group:Video Files | Search for all video files. Information: The available file groups can be adjusted under 'Options > Configure file groups.
content: | Search by file content. | content:=license | cont:license | Full text search for all files, in whose file content the word 'license' occurs. Information: The full text search is time consuming. It is therefore recommended to use additional search criteria.
size: | Search by file size. | size:<500MB size:>5MB | - | Search all files smaller than 500 MB. Search all files bigger than 5 MB. Information: The search only refers to file sizes, folder sizes are not taken into account.
accessed: | Search by access date. | accessed:<=11/01/2021 accessed:>11/01/2021 accessed:03/15/2020-11/15/2021 | - | Search for files with access date in the specified time interval. Instead of an explicit time interval, the maximum or minimum date can also be specified.
created: | Search by creation date. | created:<=11/01/2021 created:>11/01/2021 created:03/15/2020-11/15/2021 | - | Search for files with creation date in the specified time interval. Instead of an explicit time interval, the maximum or minimum date can also be specified.
modified: | Search by modification date. | modified:<=11/01/2021 modified:>11/01/2021 modified:03/15/2020-11/15/2021 | - | Search for files with modification date in the specified time interval. Instead of an explicit time interval, the maximum or minimum date can also be specified.

Operator: | Description: | Example: | Abbreviated form: | Explanation:
= | The property must apply. This is the default operator that is used if no operator is explicitly specified. | name:=readme | readme | Search for all files whose file name contains the word 'readme'.
!= | The property must not apply. | name:!=readme | !=readme | Search for all files that do not contain the word 'readme'.
~ | Can be used in conjunction with the name:property. The following value is a Regular Expression (Regex) and must apply the property. | name:~[0-9] | ~[0-9] | Search for all files that have at least one digit in their name.
!~ | Can be used in conjunction with the name:property. The following value is a Regular Expression (Regex) and must not apply to the property. | name:!~[0-9] | !~[0-9] | Search for all files that have no digits in their names.
> or >= | Operator for size or date comparisons: The property must be greater than (greater than or equal to) the specified value. | size:>=5MB | - | Search for all files that are bigger than or equal to 5 MB. Information: The search only refers to file sizes, folder sizes are not taken into account.
< or <= | Operator for size or date comparisons: The property must be smaller than (smaller than or equal to) the specified value. | size:<=500MB | - | Search for all files that are less than or equal to 500 MB. Information: The search only refers to file sizes, folder sizes are not taken into account.

Conjunction: | Description: | Example: | Abbreviated form: | Explanation:
AND | The conjunct search patterns must all match. This is the default connection that is used if no connection is explicitly specified. | name:=readme AND extension:=txt | readme ext:txt | Search for all files whose file name contains the word 'readme' and which have the file extension 'txt'.
OR | At least one of the related search patterns must match. | name:=readme OR name:=movie | readme OR movie | Search for all files whose file name contains the word 'readme' or 'movie'.

When specifying values, more previsely the actual search pattern, there are various reserved characters such as wildcards or quotation marks for exact searches. The following table lists these characters and explains them using some examples.

Example value: | Description: | Example: | Abbreviated form: | Results:
*readme* | Search for readme, where any number of characters can be placed before and after the word. The word contains 'readme'. | name:=*readme* | *readme* | Finds: '123readme.txt', '123readme.docx' but NOT: 'read_me.txt', 'reading.docx'
readme | Corresponds *readme*. The two wildcards before and after the word can be omitted for simplicity. | name:=readme | readme | Finds:: '123readme.txt', '123readme.docx' but NOT: 'read_me.txt', 'reading.docx'
readme* | Search for readme, where any number of characters can be placed after the word, but no characters are allowed before the word. The word begins with 'readme'. | name:=readme* | readme* | Finds: 'readme.txt', 'readme_c.docx' but NOT: '123readme.txt', 'read_me.txt'
*readme | Search for readme, where any number of characters can be placed before the word, but no characters are allowed after that. The word ends with 'readme'. | name:=*readme | *readme | Finds: '123readme', 'c_readme' but NOT: 'readme.txt', 'readme_c'
"readme" | Exact search for the word 'readme'. No characters are allowed before and after. | name:="readme" | "readme" | Finds: 'readme' but NOT: 'readme.txt', '123readme'
rea?me | Search for file names beginning with 'rea' and ending with 'me' and containing exactly one character in between. | name:=rea?me | rea?me | Finds: 'readme', 'reasme', 'rea1me' but NOT: 'rea123me', 'readme.txt'
\*readme* | Search for files that contain the term "readme" anywhere in their path. | name:=\*readme* | \*readme* | Finds: "readme.txt" in any folder, "abc.doc" in "C:\temp\readme\local". but NOT: "abc.doc" in "C:\temp\local".


Query Composer

Navigation: UltraSearch > Search >

Query Composer

Is the use of UltraSearch new to you, do you have problems formulating your search or can you not find the desired results? The Query Composer helps you to formulate your search query and brings you closer to the possibilities of the search. Each input field is equipped with a separate '?' button, which gives you more detailed information about the respective field.

The Query Composer is divided into four areas: File name, File extension, File content and Conjunction. All fields are optional, so that only the required fields need to be filled in to start a search.

File name: If you are looking for files with a specific file name, simply enter it in the fields provided. You can distinguish whether the file starts or ends with the specified name or whether the specified word should be present at any position in the file name.

File extension: If you would like to search for files with a specific file extension (txt, docx, pdf, ...) or a specific file group (video files, audio files, ...), you can define the exact criteria in this area by either typing the desired file extension into the corresponding input field or selecting the desired file group from the drop-down field.

File content: For a full text search you can enter the desired text here. All files are then searched for the content entered here. Since reading out file contents can take a long time, additional search criteria such as file name or file extension should be used.

Conjunction: The 'Conjunction' determines whether all specified search criteria (file name, file extension, file contents) must be fulfilled (AND) or at least one of these criteria (OR).

Finish your user input by clicking the 'Ok' button. The Query Composer closes and inserts your search query into the search field. A search is then automatically started and the results are displayed in the result list. Of course, you can manually adjust, extend or delete the search query in the search field at any time.


Filters

Navigation: UltraSearch > Search >

Filters

File size filters

With the help of the file size filter, the search can be restricted to files with a certain file size. The number field belonging to the filter is used to define the minimum and maximum file size. The size unit can be selected using the associated drop-down button. The filter can be selected or deselected using the check box on the left.

Date filters

The date filter can be used to set the time interval in which the files you are looking for are located. Filters can be set for the access, creation and modification dates of the files. Clicking on the respective filter text opens a dialog for selecting the appropriate time interval. In addition to pre-defined intervals ("This week", "This month", "This year", "Last year"), individual time intervals can also be set.

The search is automatically updated after changing a filter setting. All active filters are also displayed in the filter bar below the ribbon bar.


Ribbon

Ribbon

The ribbon of UltraSearch provides access to all commands of the application. Related commands are organized by logical units, also called 'tabs'.

The following tabse are available:

· File | Allows you to add drives and folders to the search, export the collected data and update the search.
· Start | Contains the most used actions and commands from UltraSearch.
· Filters | Contains different filters to limit the search results.
· View | Contains commands and actions that affect the appearance of the application.
· Options | Contains settings for startup behavior, language selection and integration into the Windows operating system.
· Help | Provides access to help functions and version information. You can also change the installation key or extend the maintenance period for your license.
· Operations | Contains commands and actions to edit the results or view result information. Note: This tab is contextual and only available if there are results in the results list to which the options on the tab can be applied.


File Tab

Navigation: UltraSearch > Ribbon >

File Tab

File

Add directory

Opens a selection dialog to add new drives and folders to the search.

Refresh

·Refresh: Performs the search again with the current settings. Use this option if you want to get updated search results, for example, because files on your system have changed.

·Rescan: Rereads all file information of the selected search paths into the internal cache in memory. If your search results are incomplete because the cache contains obsolete information, you should use this option.

Export

·Export: Allows you to export the result list to a file. The following file formats are available for export:
All Editions: Text file (.txt), CSV file (.csv).
Professional Edition: Excel file (.xls/.xlsx), PDF file (.pdf), HTML file (.html/.htm).

·Copy list: Copies the result list to the clipboard. Use this option if you want to transfer the results to another file or program.

Information: All currently visible columns of the result list are exported. Individual columns of the result list can be shown or hidden under 'View > Visible columns'.
If several elements are selected in the result list, only the selected elements are exported.

Print list

·Print list: Opens a dialog for selecting the printer you want to use to print the search results.

·Print setup: Opens the printer settings for setting up your printer.

Information: All currently visible columns of the result list are exported. Individual columns of the result list can be shown or hidden under 'View > Visible columns'.
If several elements are selected in the result list, only the selected elements are printed.

Help

·Hilfe: Opens the help file of UltraSearch.

·Info: Displays version number and contact information. In the Professional Edition, customer number and license key are also displayed here.

Exit

Closes the program.


Home Tab

Navigation: UltraSearch > Ribbon >

Home Tab

Filter

Include files

Enable this option if you want to perform a search for specific files. This option can be activated in addition to the 'Include folders' option.

Include folders

Enable this option if you want to perform a search for specific folders. This option can be enabled in addition to the 'Include files' option.

Exclude filter

·Use filter: Switches the exclude filter on or off. A search is then automatically started with the new settings. If the exclude filter is enabled, files that match one of the specified exclusion criteria are excluded from the search.

·Customize filter: Opens a dialog for managing the exclude filters. Here you can create and delete new filters and activate individual filters via separate check boxes.

File group filter

Provides a pre-defined list of file groups such as Office files or Video files to which the search can be restricted. The upper part of the button activates and deactivates the filter. Multiple selection of file groups is possible by holding down the Ctrl key.

Configure file groups: Opens a dialog in which all file groups and the associated file extensions are listed. Here you can create your own file groups or delete existing file groups. In addition, the file extensions of all file groups can be adapted to your own requirements.

Content search

Activates a separate input field to the right of the search field, which can be used to search for file contents. You can find more information on searching for file content in the chapter 'Search'.

Note: Searching for file contents can be very slow because the entire contents of a file must be analyzed. It is therefore strongly recommended to combine the file content search with other search criteria in order to speed up the search!

Search

Recent searches

Lists the last 15 search patterns. A click on one of the search patterns replaces the current search entry and starts a search with the selected search pattern.

Information: This option is only visible if 'Options > Miscellaneous > Save recent searches' is activated.

Query Composer

Opens an advanced search box that helps you formulate your search query. The Query Composer provides detailed help and explains the search options. Use this function if you want to familiarize yourself with the extended functionality and search syntax of UltraSearch.


Filters Tab

Navigation: UltraSearch > Ribbon >

Filters Tab

File size filters

Minimum Size

Specifies the minimum size for the files searched for. In addition to defining the minimum size, the filter can be switched on and off using a check box.

Maximum Size

Specifies the maximum size for the files searched for. In addition to defining the maximum size, the filter can be switched on and off using a check box.

Date filters

Date accessed

Specifies the time interval of the last access date that the searched files must be in. In addition to defining the time interval for the access date, the filter can be switched on and off using a check box.

Date created

Specifies the time interval in which the files searched for were created. In addition to defining the time interval for the creation date, the filter can be switched on and off using a check box.

Date modified

Specifies the time interval in which the files searched for were last modified. In addition to defining the time interval for the modification date, the filter can be switched on and off using a check box.

Other filters

Exclude filter

·Use filter: Switches the exclude filter on or off. A search is then automatically started with the new settings. If the exclude filter is enabled, files that match one of the specified exclusion criteria are excluded from the search.

·Customize filter: Opens a dialog for managing the exclude filters. Here you can create and delete new filters and activate individual filters via separate check boxes.

File group filter

Provides a pre-defined list of file groups such as Office files or Video files to which the search can be restricted. The upper part of the button activates and deactivates the filter. Multiple selection of file groups is possible by holding down the Ctrl key.

Configure file groups: Opens a dialog in which all file groups and the associated file extensions are listed. Here you can create your own file groups or delete existing file groups. In addition, the file extensions of all file groups can be adapted to your own requirements.

Include subfolders

Determines whether the subfolders of all selected search paths should be searched. If the option is disabled, only files and folders located directly in the selected paths are searched.

Ignore umlauts and accents

Determines whether umlauts and letters with accents should be considered as independent letters. Activate this option if, for example, you also want to find files with the name 'wäre' or 'warê' using the search term 'ware'.


View Tab

Navigation: UltraSearch > Ribbon >

View Tab

Unit

Automatic unit

Based on the size of the value to be displayed, a suitable unit for size specifications is automatically selected in the result list.

TB

Shows size information in the result list in terabytes (TB).

GB

Shows size information in the result list in gigabytes (GB).

MB

Shows size information in the result list in megabytes (MB).

KB

Shows size information in the result list in kilobytes (KB).

B

Shows size information in the result list in bytes (B).

Result list

Date/Time format

Specifies the date format used for dates in the results list.

Font size

Defines the font size used in the result list.

Visible columns

Displays a list of all available columns, which can be shown or hidden by clicking on the respective column name.

Sort

Sort by

Displays a list of all available columns, according to which the result list can be sorted by clicking on the respective column name. The column is automatically displayed if it is currently hidden in the result list. Columns that contain size values are sorted in descending order by default, all other columns in ascending order.

Ascending

Arranges the search results in ascending order. If no column is selected for sorting, the first visible column is sorted.

Descending

Arranges the search results in descending order. If no column is selected for sorting, the first visible column is sorted.

Always sort

Determines whether the current sort order should be retained when a new search is started (slower).

Show or hide

Item check boxes

Displays checkboxes next to each item in the result list. Select this option to make it easier to select multiple items.

Preview pane

Activates the file preview next to the result list. If a file is selected in the result list, its content is displayed here.


Options Tab

Navigation: UltraSearch > Ribbon >

Options Tab

Options

Application

·Start

oAlways start as administrator: If this option is enabled, the system starts UltraSearch with administrative privileges every time it is started. This ensures UltraSearch access to the MFT (Master File Table) of NTFS partitions to speed up the searching process. This setting also prevents many of the access problems to folders that cannot be searched without administrative privileges. It is recommended to leave this option enabled.

oSkip User Account Control Warning: If you start UltraSearch as administrator, the User Account Control (UAC) is displayed when the application starts. You can suppress this message by enabling this option.

oLaunch at Windows startup: Starts UltraSearch automatically in the notification area of the taskbar when the system starts. Select this option to start UltraSearch at any time from the notification area of the taskbar. The key combination 'Ctrl + Shift + U' can be used to bring UltraSearch to the foreground at lightning speed and you can start your search without delay. You can change the key combination for calling up UltraSearch via 'Select Hotkey' at any time.

oDisable splash screen: Professional Edition: If this option is activated, the welcome screen is no longer displayed when UltraSearch is started.

·Windows Explorer

oStart UltraSearch: This option adds an entry to the context menu of the Windows Explorer, which you can use to start UltraSearch.

oSearch with UltraSearch: This option adds an entry to the Windows Explorer context menu that is used to start UltraSearch and automatically search the current folder.

·Minimization

o Minimize to a system tray icon: If this option is enabled, UltraSearch is minimized to the notification area when you close the program. It opens UltraSearch again when you click the corresponding icon in the taskbar or press the hotkey.

oMinimize on double click: Minimizes the main window of the program when an item in the result list is opened by double-clicking it.

·Appearance

o Use dark theme: With this option the appearance of the application can be changed. Using this option will enable the dark mode of UltraSearch independent of the current Windows setting.

oUse light theme: With this option the appearance of the application can be changed. Using this option will enable the light mode of UltraSearch independent of the current Windows setting.

oDetect automatically: This option for automatic detection of the theme is based on your current Windows setting and automatically adapts the appearance of UltraSearch to it.

·Keyboard Hotkey

oSelect hotkey: Opens a dialog where you can change the global hotkey. You can use the selected hotkey to minimize UltraSearch in the taskbar or notification area or to bring it to the foreground. If the 'Launch at Windows startup' option is active, you can also use this hotkey to launch the program.

Language

Opens a list of all available languages. Select the language in which the user interface texts are to be displayed.

Miscellaneous

·History

oSave recent searches: If this option is activated, the last 15 search patterns used are saved. The search patterns can be selected under 'Search > Recent searches'or via the drop-down list of the search field. Information: A search pattern is not saved until you press Enter or leave the search field.

oSuggest patterns: If this option is activated, matching search patterns based on previous searches are displayed when a search pattern is entered. Information: 'Save recent searches' must be activated to use this option.

·Miscellaneous

·Auto-Check new drives

oShow search buttons: Displays additional buttons for manually starting and stopping the search on the 'Home' tab. If this option is active, the search is no longer automatically updated while entering a search pattern, but only when the button is pressed or the 'Enter' key is pressed. A change in the filter settings continues to automatically start a new search.

oAuto-Check new drives: If this option is activated, newly connected drives such as USB sticks or SD cards are automatically activated in the drive list and selected for searching.

oWatch file system changes: If this option is enabled, UltraSearch monitors changes to the file system and automatically updates the internal cache in memory. The changes are taken into account for further searches. If this option is disabled, a cache update under 'Search > Refresh > Refresh' is required to include changes to the file system in the search. It makes sense to disable this option and update the cache manually if there are permanent changes at the file level on your system.

File groups

Configure file groups

Opens a dialog that lists all file groups and their file extensions. Here you can create your own file groups or delete existing file groups. In addition, the file extensions of all file groups can be adjusted according to your own requirements.

Tools

Create portable installation

Professional Edition: Creates a portable version of the software that can be used on a USB stick, for example. If you use this option, a dialog will open where you can select the destination folder for the portable installation. All settings of the portable version are also saved in this folder.


Help Tab

Navigation: UltraSearch > Ribbon >

Help Tab

Help

Help

Opens the help file of UltraSearch.

Frequently Asked Questions

Opens a page with frequently asked questions about UltraSearch. Use the search function or browse our categories to find answers to your questions.

Feature Voting

Opens a page with our feedback platform. You can vote for new features, tell us what you like and what you don't like.

Version

About

Displays version number and contact information. In the Professional Edition, customer number and license key are also displayed here.

Check for update

Checks if a newer version of the software is available.

What is new?

Opens a page with the latest program changes.

License

Change installation key

Opens a dialog where you can change the installation key of this software.

Extend maintenance

Opens a page where you can extend the maintenance period for this software. Updates and technical support are free during the maintenance period.


Operations Tab

Navigation: UltraSearch > Ribbon >

Operations Tab

Note:
This tab is contextual and only available if there are results in the results list to which the options on the tab can be applied.

Open

Open file location

Opens the folder of the selected item in Windows Explorer.

Open

Opens the selected file with the default program assigned to the file extension on your operating system.

Properties

Shows the 'Properties' dialog of the selected element.

Clipboard

Copy path

Copies the path of the selected elements to the clipboard.

Copy name

Copies the names of the selected elements to the clipboard.

Copy

Copies the selected elements to the clipboard.

Cut

Cuts the selected elements and copies them to the clipboard.

Organize

Delete

Moves the selected items to the recycle bin or deletes them permanently.

Bulk rename

Opens a dialog for the simultaneous renaming of several files based on certain rules.

File operations

Opens a dialog with advanced functions for moving, copying or zipping the selected files.

Select

Select all

Selects all entries in the result list.

Select none

Cancels the current selection in the result list.

Invert selection

Inverts the current selection in the result list.

Export

Export

Allows you to export the result list to a file. The following file formats are available for export:
All Editions: Text file (.txt), CSV file (.csv).
Professional Edition: Excel file (.xls/.xlsx), PDF file (.pdf), HTML file (.html/.htm).

Information: All currently visible columns of the result list are exported. Individual columns of the result list can be shown or hidden under 'View > Visible columns'.
If several elements are selected in the result list, only the selected elements are exported.


Drive List

Drive List

Paths to be searched

The fold-out drive overview allows you to select the drives and paths to be searched.

In the collapsed state, all paths that are currently selected for the search are displayed, as well as the explicitly pinned drives and folders. Additional paths can be added using the plus symbol. Paths that are displayed in the overview can also be edited with a single click, which allows you to quickly adjust a path without first unfolding the drive list.

When unfolded, the drive list shows a list of all available and previously used search paths. Use the item checkboxes of the individual drives to select which drives and folders should be searched by UltraSearch. Individual paths can be pinned to the drive list by clicking on the pin column to display them permanently in the collapsed overview, regardless of whether they are currently enabled for a search or not. Additional functions are available via the context menu.

Additional paths and drives can be added using the buttons below. The left button allows to enter the path using the keyboard, the right button opens a dialog with a directory browser.


File Groups

File Groups

The file groups that are available in the file group filter dropdown can be specified under 'Options > Configure file groups...'.

The options for defining the file groups offer the possibility of customizing, deleting or creating new individual file groups.

Add a new file group

1. Specify the name of the new file group (for example, 'text files') in the 'File group definitions' text box.

2. Click 'Add Group.

3. Click in the text box in the 'Associated file extensions' section and define the desired file extensions that should belong to this file group (for example, '*.txt').

4. Click on 'Add Pattern'.

5. Repeat steps 3 and 4 until all desired file extensions have been added.

6. Click on 'OK' to save the changes.

Add/remove/edit a file extension of an existing file group

1. Click on the desired file group in the upper list.

2. Add a new file extension by following steps 3 and 4 as described above
or
use the 'Remove' button to remove an existing file extension from the list
or
right-click on an existing file extension and select 'Edit Pattern' to edit the definition of a file extension.

3. Click 'OK' to save the changes.

Change the title or description of an existing file group

Right-click on the desired file group and select either 'Edit Caption' or 'Edit Description'

Export/Import a list of file extensions

You can export the file extensions defined for a file group to a text, CSV, or XML file by right-clicking in the lower list and clicking the Export button. An existing definition can be imported in the same way.


Exclude Filter

Exclude Filter

With the exclude filter, folders, files or file groups can be excluded from the search results.

The exclude filter dialog can be opened via the menu 'Search > Exclude filter > Customize filter' and can be activated via the menu item 'Use filter' located at the same place. If the filter is active, a corresponding message is displayed in the status bar.

How to define a filter

To define a new filter, please follow these steps:

1.Click the 'Add pattern' button. A entry will be created in the filters list for the new filter.

2.Now you can define an exclude filter in the 'Pattern' column. You can either use simple wildcard pattern such as '*.exe', regular expression patterns such as '.+\.exe$' or patterns that match the whole name like 'notepad.exe'. If, for example, an exclude filter for the pattern '*.exe' is set, UltraSearch will not show any files with the extension '.exe'. Please ensure that the correct 'Type' for your exclude pattern is selected in the identically named column.

3.The 'Match Against' column is used to specify the element/attribute against which the pattern is compared. Patterns can either be matched against the file or folder names, (full) paths, name of the direct parent folder or name of any parent folder. With the full path filter you can exclude complete directory branches matching a certain pattern (e.g. "*\Program Files*"). 'File or Folder Name' should be used when you intent to include or exclude certain file extensions.

Wildcards allowed in Wildcard patterns:

* | Replaces none or arbitrarily many alphanumeric characters.
? | Replaces exactly one alphanumeric character.

Not only names of files and folders are allowed, the patterns may also contain parts of directories. Multiple patterns can be used by separating them using semicolons.To force the exact match (instead of a substring match) of a pattern, please select 'Whole Name' in the Type column for this pattern. Regular expressions can also be used as patterns by selecting 'RegEx' in the 'Type' column.

The following table shows possible patterns:

Pattern | Match Against | Type | Result
*.doc | File or Folder Name | Wildcard | Searches for all files with the extension 'doc'.
*\Windows\System32\*.exe | Full Path | Wildcard | Searches for all applications in the path 'Windows\System32'.
"Neues Textdokument.txt" | File or Folder Name | Whole Name | Searches for all files named 'New Text Document.txt'.
C:\\([a-z]*\\){2,4}[^\\]*\.[^\\]*$ | Full Path | RegEx | Searches for all files on drive C: with a folder depth from at least 2 and at most 4.

Choose a defined exclude filter and click on 'Preview...' to open an explorer view, which displays the Files and Folders that are excluded by this filter. Excluded folders and files are displayed in red while green coloured ones are still considered in the search.

The 'Add Default Filters' button creates predefined exclude filters for specific system folders (like the recycle bin).


Save/Load search

Save/Load search

Search settings can be saved, loaded and managed via the menu item 'Start > Save/Load search'. The dropdown that is displayed also offers an overview of searches that have already been saved.

Save a search

To save your current search settings, please follow the steps below:

1.Select the 'Save/Load search' dropdown.

2.Click on 'Save current search'.

3.In the following dialog you can give the search a meaningful name.

The saved search settings are now available in the drop-down menu under the assigned name.

Note: The following settings are saved:

·Search patterns in the search input field

·Search patterns in the input field for the file content

·Filter setting: Include files or folders

·Used exclude filters

·Selected filegroups from the File group filter

·Size filter settings

·Date filter settings

Not saved:

·Folders or drives to search.

·File extensions that belong to a file group in the file group filter.
When loading a search with an active file group filter, the file extensions currently assigned to a file group in the file group filter are used. If a file group, that was present when a search was saved, no longer exists, it will be ignored when the search settings are loaded.

Loading a search

Search settings that have already been saved can be loaded by selecting the 'Save/Load search' drop-down menu.

Then just click on the name of the desired search settings to load them.

Tip: You can see the exact settings of a saved search by moving the mouse pointer over the desired search whose settings you want to display.

Manage / delete searches

You can edit the list of saved searches via 'Save/Load search > Manage Saved Searches'. You can change the order or delete unnecessary searches.

Select one or more searches from the list and use the up, down and remove buttons to adjust the list to your needs.

Confirm the changes with 'OK' or use 'Cancel' to discard them.


Bulk rename

Bulk rename

Note:
The 'Operations' tab, on which the bulk renaming is located, is contextual and only available if there are results in the results list to which the options on the tab can be applied.

This dialog allows renaming multiple files at once, using one of several types of rules.

To define a new renaming rule, click the "+" Icon and select one of the available rule types. The section "Available Rules" shows all rules that have previously been created. Each rule can be activated or deactivated individually and will be applied in the order that they are displayed in. You can reorder existing rulesets by using the icons on top of the list, or by simply dragging and dropping them within the list of available rules. Existing rules can be modified by selecting them. Changes to their configuration will be applied to the preview section immediately.

The right hand side show a preview of the current ruleset. It shows the file names before and after the rename operation and provides a quick overview of whether or not the filename will change or remain the same after the operation.

Available Rules

This list shows all previously created renaming rules. The rename operation will be applied in the order of this list. To change the order that the rules are applied in, simply drag and drop the rules to their designated position within the renaming chain. You can also use the right click menu to move the current selection up, or down in the list.

Existing rules can be temporarily disabled via the left hand checkboxes. Only active rules will be regarded in the actual renaming operation

Replace

A simple search and replace operation for file names. Under "Configuration", you can enter the search term to search and what to replace it with. Activate the option "Use Regular Expression", if the input term should be interpreted as a regular expression, instead of an exact match. Further information about regular expressions can be found here.

Insert

Inserts the given text to the file name at the position that is defined under "Configuration". The text can be appended as prefix, as suffix, or at a specific position.

Serialize

Adds a number to the files, starting with the value that is defined under "Configuration". The number can be added as prefix, as suffix, or at a specific position. It is also possible to unify the numbering to a minimum length. Check the option "Pad to length", in order fill up numbers with leading "0"s and ensure a unified length.

Delete

The delete rule has two options: Search and removes a certain text, or delete text at a certain position within the target file names. "Delete text" will remove all occurrences of a given search term. "Delete from position" will remove text at a given position within the target file names. Use "Length" to define how many characters should be removed.

The selection "Filename", "Extension only", "Full Name" determines which part of the file name should be affected by the rename operation. This selection can be configured for each rule individually.

Preview

This panel shows a preview of the rename operation with the current selection of active renaming rules. The column "Name" shows the original file name, while "New Name" shows a preview of the names as they would be after the rename operation. The "Change" column shows at one glance which names will change and which will remain the same. The column "Last operation status" will show whether or not the last renaming of a file was successful, after the operation has finished. If a file could not be renamed successfully, e.g. due to missing permissions, it will be shown in this column.

Execute

Starts the actual rename operation. All active rules will be applied to the files on the right hand side, one after another. Once the operation has finished, the status is shown in the column "Last operation status" of the preview list.

Undo

Reverts the last renaming operation back to its previous state. This effectively means that another rename operation is triggered that renames the files back to their original name.


File operations

File operations

The advanced file operations are only available in the Professional Edition and allow you to copy all files and folders selected in the result list to a location of your choice, move them, archive them in a ZIP file, delete them from the hard disk or perform other operations. You can find this function on the Ribbon tab 'Operations'.

Additional options allow you to customize the file operations to your needs.

Explanations for the individual functions are given in the table below:

File operation:

Delete items

Deletes all selected files after a security prompt. If the option 'Move to the Recycle Bin' is activated, the files are moved to the Recycle Bin. Otherwise they will be deleted from the hard disk.
Information: Deleting without setting the function described above cannot be undone easily.

Move items

Moves selected files to the specified path. Optionally, a shortcut or link can be created at the original location, each pointing to the new position of the moved object. If desired, the security attributes can also be copied. If this is not done, the moved files inherit their security attributes (as usual) from their parent elements.

Copy items

Copies selected files to the specified path. If desired, the security attributes are also copied. If this is not done, the moved files inherit their security attributes (as usual) from their parent elements.

Zip items

Moves selected files to the specified ZIP archive.

Pass items to executable as parameters

Calls a freely selectable executable file for each marked file and passes the absolute path of the file as first parameter to the command line. The executable files can also be batch files, a PowerShell script, a VBScript or similar. The Windows Scripting FileSystemObject provides powerful and easy-to-use file system and path operations.

Options:

Move to Recycle Bin (if available)

Here you can specify whether the selected items should be moved to the Recycle Bin or deleted directly from the hard disk.

Note: This option is only available for the 'delete' operation.

Skip/Rename/Replace/Replace only older existing files

Here you can decide what should happen if name collisions occur during a file operation, i.e. a file with the same name already exists at the destination. You can keep the existing file, replace it with the new file, or rename the existing file.

Note: This option is only available for the 'Zip', 'Move' and 'Copy' operations. Not supported when burning to optical media.

Delete empty folders after the operation

Automatically removes all folders that no longer contain files or other folders due to this move operation.

Keep original items after zipping

Enable this option to ensure that the original files are not deleted after copying them to a Zip file.

Note: This option is only available for the 'Zip' operation.

Preserve permissions of the original items

When this option is enabled, the access permissions of the original files are applied to each of the moved files in the target.

Note: This option is only available for 'Move' and 'Copy' operations. Not supported when burning to optical media.

Preserve directory structure, starting from level

This option allows you to specify at what level the directory structure of the files should be retained. The first x levels of the directory structure are not reconstructed at the destination location.

For example, if you move the file 'C:\User\Mayer\My Document.doc' to the target folder 'D:\Old Files\', you will get the following results depending on the value you choose for x:
x = 0 > 'D:\Old Files\C\User\Mayer\My Document.doc'
x = 1 > 'D:\old files\user\Mayer\My document.doc'
x = 2 > 'D:\old files\Mayer\My Document.doc'

Note: This option is only available for the 'Move' and 'Copy' operations.

Preserve timestamps of the original items

When this option is enabled, the timestamps of the original files are applied to each of the moved files in the target.

Note: This option is only available for 'Move' and 'Copy' operations. Not supported when burning to optical media.

Leave shortcutlLink at the original location pointing to new location

If this option is enabled, a shortcut or link is created in the original location pointing to the new location to which the file was moved. If 'Link' is selected and the files are on the same partition, hard links are created. If it is not possible to create a hard link, a symbolic link is created. If this is also not possible, a Windows shortcut is created.

Note: This option is only available for the 'Move' operation.

Logging:

Log performed operations to:

Creates a log with a name of your choice in a directory of your choice. Environment variables like %DATE% or %TIME% can be used in the file name.

Create undo script:

Creates a batch file that you can execute after the move operation to undo the changes made by this operation on your file system.

Note: This option is only available for the 'Move' and 'Copy' operations. Not supported when burning to optical media.

Logging

Tip: We recommend that you log all move, delete, and archive operations. Such a procedure increases the security and clarity of your system.

The generated log file lists all the details you need to keep track of the file operations you have performed. The log is saved in text format and looks like this

25.06.2020 11:39:50: Start file operation.

25.06.2020 11:39:50: Copying the following objects to "D:\MyDocs":

25.06.2020 11:39:50: "F:\Docs\movielist.docx" => "D:\MyDocs\movielist.docx"

2020-06-25 11:39:50: "F:\Docs\log.txt" => "D:\MyDocs\log.txt"

25.06.2020 11:39:50: "F:\Docs\Screenshot.jpg" => "D:\MyDocs\Screenshot.jpg"

25.06.2020 11:39:50: File operation finished.

25.06.2020 11:39:50: Affected objects: 3 (125,90 KB) | Failed objects: 0


Command Line Options

Command Line Options

Command line parameters

UltraSearch supports command line parameters, which allows the start of UltraSearch with defined search parameters. Multiple search parameters are separated by spaces.

The search syntax can be used.

Search parameters (paths or file names) that already contain spaces must be enclosed in quotation marks (").

The general syntax for command line parameters is as follows:

UltraSearch.exe Search path(s) Search term

Examples:

ultrasearch.exe "C:\Windows" "readme.txt"

Starts UltraSearch with the search in 'C:\Windows' for all files whose name contains 'readme.txt'.

ultrasearch.exe "C:\Windows" "readme OR license"

Starts UltraSearch with the search in 'C:\Windows' for all files whose name contains 'readme' or 'license'.

ultrasearch.exe "C:\Windows" "ext:txt"

Launches UltraSearch with the search in 'C:\Windows' for all files with the file extension ".txt".

ultrasearch.exe "C:\Windows\readme.txt"

Starts UltraSearch and searches for the file named 'readme.txt' in the folder 'C:\Windows'.

ultrasearch.exe "C:\Windows" "C:\Program Files" "readme AND cont:license"

Launches UltraSearch with the search in 'C:\Windows' and 'C:\Program Files' for files whose name contains 'readme' and whose file content contains the word 'license'.

ultrasearch.exe "C:\Windows" "*.exe" /CLIPBOARD

ultrasearch.exe "C:\Windows" "*.exe" /CLIPBOARD /NOGUI

Starts UltraSearch and searches in "C:\Windows" for executable files with the file extension '.exe' and copies the results to the Windows clipboard. Afterwards UltraSearch is terminated.

With the additional parameter /NOGUI, the operation is executed in the background without a user interface. When the operation is finished, a message is displayed in the notification area of the Windows taskbar.

Note: Messages and errors cannot be displayed when using the command line switch /NOGUI. In this case, all messages are listed in the systems Windows event log.

ultrasearch.exe /minimized

Starts UltraSearch minimized in the task bar of Windows.

ultrasearch.exe /maximized

Starts UltraSearch as a maximized window.

ultrasearch.exe /tray

Launches UltraSearch minimized in the notification area of Windows.

ultrasearch.exe /noadmin

Launches UltraSearch without administrator privileges.

ultrasearch.exe /multi_instance

Allows starting several parallel program instances.

Note: In order to generally allow parallel instances, the value "MultipleInstances" can alternatively be set to "true" in the "Settings.xml" file in the "%appdata%\JAM Software\UltraSearch" directory.


Annotations

Annotations

·Useful tips and tricks

·Notes on NTFS

·Regular expressions

·Translations


Useful Tips And Tricks

Navigation: UltraSearch > Annotations >

Useful Tips And Tricks

Tip 1: Fast start with the operating system

If you start UltraSearch directly with the operating system, you have direct and fast access to the program at any time. Via 'Options > Application > Launch at Windows startup' you can start UltraSearch directly with the operating system. UltraSearch is then available at any time via the notification area on the right side of the taskbar.

Tip 2: Quick access via hotkey

The key combination 'Ctrl + Shift + U' allows you to bring UltraSearch to the foreground at lightning speed if necessary and you can start your search without delay. The key combination for calling UltraSearch can be changed at any time under 'Options > Application > Select hotkey'.

Tip 3: Skip user account control warning (UAC)

If the Windows User Account Control warning is displayed when you start UltraSearch, you can disable it via 'Options > Application > Skip User Account Control Warning'.

You can also find more tips and tricks in our Knowledge Base.


Notes on NTFS

Navigation: UltraSearch > Annotations >

Notes on NTFS

Hardlinks

In a Windows environment a hardlink is a reference or pointer to physical data on a NTFS storage volume. All named files are hardlinks. The name associated with the file is simply a label that refers the operating system to the actual data. On NTFS volumes more than one name can be associated with the same data. Though called by different names, any changes made will affect the actual data, regardless of how the file is called at a later time. Hardlinks can only refer to data that exists on the same file system. The data is accessible as long as at least one link that points to it exists. When the last link is removed, the space is considered free. Please note that all hardlinks pointing to the same file also share the same security description (access permissions).

If more than one hardlink points to a file's data, the space allocated by these files is just one time the file size (not including the space of the file master table), no matter how many hardlinks exists. UltraSearch is able to detect the number of hardlinks pointing to one file data. The number of hardlinks which points to one file data is displayed in the Hardlinks column.


Regular Expressions

Navigation: UltraSearch > Annotations >

Regular Expressions

Regular expressions describe patterns in strings and can be used i.a. to determine whether a given pattern occurs in a text or not. In UltraSearch regular expressions can be used to find specific files and / or folders that match the criteria specified by regular expressions

The following table shows some examples:

Expression | Syntax | Description | Example
Any character | . | Matches any single character except a line break. | a.o matches "aro" in "around" and "abo" in "about" but not "acro" in "across".
Zero or more | * | Matches zero or more occurrences of the preceding expression, and makes all possible matches. | a*b matches "b" in "bat" and "ab" in "about". e.*e matches the word "enterprise".
One or more | + | Matches at least one occurrence of the preceding expression. | ac+ matches words that contain the letter "a" and at least one instance of "c", such as "race", and "ace". a.+s matches the word "access".
Beginning of word | < | Matches only when a word starts at this point in the text. | <in matches words such as "inside" and "into" that begin with the letters "in".
End of word | > | Matches only when a word ends at this point in the text. | ss> matches words such as "across" and "loss" that end with the letters "ss".
Any one character in the set | [] | Matches any one of the characters in the []. To specify a range of characters, list the starting and ending characters separated by a dash (-), as in [a-z]. | be[n-t] matches "bet" in "between", "ben" in "beneath", and "bes" in "beside" but not "bel" in "below".
Any one character not in the set | [^...] | Matches any character that is not in the set of characters that follows the ^. | be[^n-t] matches "bef" in "before", "beh" in "behind", and "bel" in "below", but not "ben" in "beneath".
Or | | | Matches either the expression before or the one after the OR symbol (|). Mostly used in a group. | (sponge|mud) matches "sponge bath" and "mud bath.
Tagged expression (or backreference) | \ | Matches the character that follows the backslash (\) as a literal. This lets you find the characters that are used in regular expression notation, such as { and ^. | \^ searches for the ^ character.
Markierter Ausdruck | {} | Matches text that is tagged with the enclosed expression. | {does}n't identifies the text that precedes the replacement in the replace string \1 not to change every occurrence of doesn't to does not.
Repeat n times | ^n | Matches n occurrences of the preceding expression. | [0-9]^4 matches any 4-digit sequence.
Grouping | () | Lets you group a set of expressions together. If you want to search for two different expressions in a single search, you can use the Grouping expression to combine them. | If you want to search for [a-z][1-3] or [0-9][a-z], you would combine them: ([a-z][1-3])|([0-9][a-z]).

Further examples:

[0-9] or /\d | Find all files/folders with at least one digit in its name.
a|b | Find all files/folders containing "a" or "b" in their name.
(?=.*a)(?=.*b) | Find all files/folders containing at least one "a" character and one "b" character.
((?=.*help)|(?=.*online))(?=.*readme) | Find all files/folders containing the words 'help' and 'readme' or 'online' and 'readme'.
[^(A-Za-z)] | Find all files/folders containing at least one other symbol than a character in their name.
^E[0-9]{7}$ | Find all files/folders which start with an "E" followed by exactly 7 digits.
C:\\Windows\\[^\\]*\.[^\\]*$ | Find all files/folders whose parent folder is "C:\Windows".
[A-Za-z]:\\([^\\]+\\){2,4}[^\\]+$ | Find all files/folders with a folder depth of at least 2 and at most 4.
[^\x00-\x7F] | Find all files/folders with invalid ASCII characters.
[^\P{C}] | Find all files/folders with Unicode characters which cannot be printed.
[\xA0] | Find all file/Folder names that contain the non-breakable space character (Unicode NOBR, U+00A0) instead of a normal space character.
[~\"#%&\*\:<>\?\/\\{|}] | Find all files and folders, that contain characters in their name which are invalid on SharePoint servers.

Further information and additional examples can be found here.

A description of all special characters that can be used with regular expression can be found here.

For further help in forming regular expressions following tools can be used:

http://gskinner.com/RegExr/ (online)

http://regexpal.com/ (online)

http://sourceforge.net/projects/regexpeditor/ (download)

http://sourceforge.net/projects/regextester/ (download)

http://sourceforge.net/projects/regaxe/ (download)


Translations

Navigation: UltraSearch > Annotations >

Translations

Translations

We are proud of the popularity of our freeware UltraSearch and would love to offer it to users in their native languages.In this way, all our worldwide users can enjoy localized UltraSearch software with ease. UltraSearch is already available in German and English. Thanks to the help of our great volunteer translators we are able to provide these translations:

Chinese (Simplified): Thanks to streambun, Adrian Zhang, 偶爱偶家, CJKCHINA, Neptune, Zhihao Wang, and 4 anonymous translators

Czech: Thanks to Trasak Jiri, Lukáš Francálek, Azuráč, Fishbone, and 3 anonymous translators

Danish: Thanks to Svend Heinesen, Thomas Vedel, and 3 anonymous translators

Dutch: Thanks to Jaap Kramer, Kees Bakker, Linda Bijlsma, Leroux, and 4 anonymous translators

French: Thanks to Alexandre Mongin, Simon Martin, Ignace Le Roux, David Dissard, Gaillard S-G, and 5 anonymous translators

Greek: Thanks to GeoVasi69, Prodromos Makridis, and 2 anonymous translators

Hungarian: Thanks to Peter Bartfai, and 5 anonymous translators

Italian: Thanks to Spigolo, Luciano Paravella, Fabrizio Picconi, Lionello Ferrazzini, Daniele Caputo, David Coen, Gioele Mattioli, bovirus, Andrea "Echo" Zoppi , Mario Corrado, Alberto Donzelli, Ivan Vaselli, Filippo Rubulotta, and 6 anonymous translators

Japanese: Thanks to Kyotaro Iijima, Tetsuro Shimazaki, and Sriram Iyer

Korean: Thanks to Seungsoo Choi, and 8 anonymous translators

Norwegian: Thanks to Simen Andreas Skogheim, Isaac Daasnes, and 2 anonymous translators

Polish: Thanks to Franciszek, Your Majesty Bartłomiej Rakowiecki, Bartosz Małolepszy (Grodków), Arkadiusz Kurzawa, Łukasz K., and 8 anonymous translators

Portuguese: Thanks to Ricardo Freitas, Ian Lima Souza, Maria Pombo, Carlos Figueiredo, and 2 anonymous translators

Russian: Thanks to kopejkin, Polina Morgan, Vladimir Skovoroda, Alexander Vorfolomeev, Temtaime, Gennady Morozov, and 2 anonymous translators

Slovenian: Thanks to Jadran Rudec, Boštjan Pečovnik, and one anonymous translator

Spanish: Thanks to J. M. Fustero, MS-PC, Fabián C. Rodríguez, and 4 anonymous translators

Vietnamese: Thanks to Vu Le, Minh Tuyen Nguyen, Đăng Huy, and one anonymous translator

Would you like to help us translate UltraSearch to your language? Please find more information online.


Copyright & Contact

Copyright & Contact

Copyright © 2022 Joachim Marder e.K.

JAM Software GmbH
Am Wissenschaftspark 26
54296 Trier

Germany

WWW: | https://www.jam-software.com
Support: | https://customers.jam-software.de/contact.php
Email: | ultrasearch@jam-software.com
Commercial register number: | HRB: 4920 (AG Wittlich)
VAT ID No.: | DE234825349
Managing Director: | Joachim Marder